Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Svcconf_Handler Class Reference

ACEXML_Svcconf_Handler is an example SAX event handler. More...

`#include <Svcconf_Handler.h>`

Inheritance diagram for ACEXML_Svcconf_Handler:

[legend]
Collaboration diagram for ACEXML_Svcconf_Handler:

[legend]
List of all members.

## Public Methods
| ACEXML_Svcconf_Handler (void)
virtual | ~ACEXML_Svcconf_Handler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length, ACEXML_Env &xmlenv)
| Receive notification of character data. More...
virtual void | endDocument (ACEXML_Env &xmlenv)
| Receive notification of the end of a document. More...
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)
| Receive notification of the end of an element. More...
virtual void | endPrefixMapping (const ACEXML_Char *prefix, ACEXML_Env &xmlenv)
| End the scope of a prefix-URI mapping. More...
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length, ACEXML_Env &xmlenv)
| Receive notification of ignorable whitespace in element content. More...
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data, ACEXML_Env &xmlenv)
| Receive notification of a processing instruction. More...
virtual void | setDocumentLocator (ACEXML_Locator *locator, ACEXML_Env &xmlenv)
| Receive an object for locating the origin of SAX document events. More...
virtual void | skippedEntity (const ACEXML_Char *name, ACEXML_Env &xmlenv)
| Receive notification of a skipped entity. More...
virtual void | startDocument (ACEXML_Env &xmlenv)
| Receive notification of the beginning of a document. More...
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts, ACEXML_Env &xmlenv)
| Receive notification of the beginning of an element. More...
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri, ACEXML_Env &xmlenv)
| Begin the scope of a prefix-URI Namespace mapping. More...
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, ACEXML_Env &xmlenv)
| Receive notification of a notation declaration event. More...
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName, ACEXML_Env &xmlenv)
| Receive notification of an unparsed entity declaration event. More...
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId, ACEXML_Env &xmlenv)
| Allow the application to resolve external entities. More...
virtual void | error (ACEXML_SAXParseException &exception, ACEXML_Env &xmlenv)
| Receive notification of a recoverable error. More...
virtual void | fatalError (ACEXML_SAXParseException &exception, ACEXML_Env &xmlenv)
| Receive notification of a non-recoverable error. More...
virtual void | warning (ACEXML_SAXParseException &exception, ACEXML_Env &xmlenv)
| Receive notification of a warning. More...
## Protected Methods
int | get_stream_id (ACEXML_Attributes *alist, ACEXML_Env &xmlenv)
| Get the only attribute in <stream> or <streamdef>. More...
int | get_id (ACEXML_Attributes *alist, ACEXML_Env &xmlenv)
| Get the only attribute in <resume>, <suspend>, <remove>. More...
int | get_dynamic_attrs (ACEXML_Attributes *alist, ACEXML_Env &xmlenv)
| Get the dynamic tag attributes. More...
int | get_initializer_attrs (ACEXML_Attributes *alist, ACEXML_Env &xmlenv)
| Get the initializer tag attributes. More...
int | get_static_attrs (ACEXML_Attributes *alist, ACEXML_Env &xmlenv)
| Get the static tag attributes. More...
## Private Attributes
int | in_stream_def_
| We are parsing a stream definition. More...
int | in_module_
| We are defining a steam module. More...
ACE_Parsed_Info | parsed_info_
ACE_Parsed_Info | stream_info_

## Detailed Description

ACEXML_Svcconf_Handler is an example SAX event handler.

This SAX event handler try to regenerate the XML document it reads with correct indentation.

## Constructor & Destructor Documentation

ACEXML_Svcconf_Handler::ACEXML_Svcconf_Handler | ( | void |  | ) |

ACEXML_Svcconf_Handler::~ACEXML_Svcconf_Handler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACEXML_Svcconf_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | length,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::endDocument | ( | ACEXML_Env & | xmlenv | ) | `[virtual]`

| Receive notification of the end of a document. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::endPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| End the scope of a prefix-URI mapping. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::error | ( | ACEXML_SAXParseException & | exception,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a recoverable error. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::fatalError | ( | ACEXML_SAXParseException & | exception,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a non-recoverable error. Reimplemented from ACEXML_DefaultHandler.

int ACEXML_Svcconf_Handler::get_dynamic_attrs | ( | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[protected]`

| Get the dynamic tag attributes.

int ACEXML_Svcconf_Handler::get_id | ( | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[protected]`

| Get the only attribute in <resume>, <suspend>, <remove>.

int ACEXML_Svcconf_Handler::get_initializer_attrs | ( | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[protected]`

| Get the initializer tag attributes.

int ACEXML_Svcconf_Handler::get_static_attrs | ( | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[protected]`

| Get the static tag attributes.

int ACEXML_Svcconf_Handler::get_stream_id | ( | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[protected]`

| Get the only attribute in <stream> or <streamdef>.

void ACEXML_Svcconf_Handler::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | length,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of ignorable whitespace in element content. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a notation declaration event. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char * | data,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a processing instruction. Reimplemented from ACEXML_DefaultHandler.

ACEXML_InputSource * ACEXML_Svcconf_Handler::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Allow the application to resolve external entities. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::setDocumentLocator | ( | ACEXML_Locator * | locator,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive an object for locating the origin of SAX document events. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::skippedEntity | ( | const ACEXML_Char * | name,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a skipped entity. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::startDocument | ( | ACEXML_Env & | xmlenv | ) | `[virtual]`

| Receive notification of the beginning of a document. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes * | alist,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char * | uri,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Begin the scope of a prefix-URI Namespace mapping. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char * | notationName,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of an unparsed entity declaration event. Reimplemented from ACEXML_DefaultHandler.

void ACEXML_Svcconf_Handler::warning | ( | ACEXML_SAXParseException & | exception,
|  | ACEXML_Env & | xmlenv
| ) | `[virtual]`

| Receive notification of a warning. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

int ACEXML_Svcconf_Handler::in_module_`[private]`

| We are defining a steam module.

int ACEXML_Svcconf_Handler::in_stream_def_`[private]`

| We are parsing a stream definition.

ACE_Parsed_Info ACEXML_Svcconf_Handler::parsed_info_`[private]`

ACE_Parsed_Info ACEXML_Svcconf_Handler::stream_info_`[private]`

The documentation for this class was generated from the following files:

- examples/svcconf/Svcconf_Handler.h
- examples/svcconf/Svcconf_Handler.cpp